Avro C++

Public Member Functions | Static Public Member Functions | List of all members
avro::GenericWriter Class Reference

A utility class to write generic datum to encoders. More...

`#include <Generic.hh>`

Inheritance diagram for avro::GenericWriter:

## Public Member Functions
| GenericWriter (ValidSchema s, EncoderPtr encoder)
| Constructs a writer for the given schema using the given encoder.
void | write (const GenericDatum &datum) const
| Writes a value onto the encoder.

## Static Public Member Functions
static void | write (Encoder &e, const GenericDatum &g)
| Writes a generic datum on to the stream.
static void | write (Encoder &e, const GenericDatum &g, const ValidSchema &)
| Writes a generic datum on to the stream, using the given schema. More...

## Detailed Description

A utility class to write generic datum to encoders.

## Member Function Documentation

## ◆ write()

static void avro::GenericWriter::write | ( | Encoder & | e,
|  | const GenericDatum & | g,
|  | const ValidSchema & |
| ) |  |
| inline static

Writes a generic datum on to the stream, using the given schema.

Retained for backward compatibility.

The documentation for this class was generated from the following file:

- api/Generic.hh